# Uses of Class
org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane

Packages that use SubHyperplane.SplitSubHyperplane
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of SubHyperplane.SplitSubHyperplane in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned that return SubHyperplane.SplitSubHyperplane
Modifier and Type
Method
Description
`SubHyperplane.SplitSubHyperplane<Euclidean1D>`
SubOrientedPoint.`split(Hyperplane<Euclidean1D> hyperplane)`
Split the instance in two parts by an hyperplane.

## Uses of SubHyperplane.SplitSubHyperplane in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return SubHyperplane.SplitSubHyperplane
Modifier and Type
Method
Description
`SubHyperplane.SplitSubHyperplane<Euclidean3D>`
SubPlane.`split(Hyperplane<Euclidean3D> hyperplane)`
Split the instance in two parts by an hyperplane.

## Uses of SubHyperplane.SplitSubHyperplane in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return SubHyperplane.SplitSubHyperplane
Modifier and Type
Method
Description
`SubHyperplane.SplitSubHyperplane<Euclidean2D>`
SubLine.`split(Hyperplane<Euclidean2D> hyperplane)`
Split the instance in two parts by an hyperplane.

## Uses of SubHyperplane.SplitSubHyperplane in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return SubHyperplane.SplitSubHyperplane
Modifier and Type
Method
Description
`abstract SubHyperplane.SplitSubHyperplane<S>`
AbstractSubHyperplane.`split(Hyperplane<S> hyper)`
Split the instance in two parts by an hyperplane.
`SubHyperplane.SplitSubHyperplane<S>`
SubHyperplane.`split(Hyperplane<S> hyperplane)`
Split the instance in two parts by an hyperplane.

## Uses of SubHyperplane.SplitSubHyperplane in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return SubHyperplane.SplitSubHyperplane
Modifier and Type
Method
Description
`SubHyperplane.SplitSubHyperplane<Sphere1D>`
SubLimitAngle.`split(Hyperplane<Sphere1D> hyperplane)`
Split the instance in two parts by an hyperplane.

## Uses of SubHyperplane.SplitSubHyperplane in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return SubHyperplane.SplitSubHyperplane
Modifier and Type
Method
Description
`SubHyperplane.SplitSubHyperplane<Sphere2D>`
SubCircle.`split(Hyperplane<Sphere2D> hyperplane)`
Split the instance in two parts by an hyperplane.